Download it now!
Bug 30839 - Solver engine strings not extracted
Summary: Solver engine strings not extracted
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-13 10:54 UTC by sophie
Modified: 2011-01-31 05:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
enabled localization of .properties files (5.81 KB, patch)
2010-12-19 01:33 UTC, Andras Timar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sophie 2010-10-13 10:54:32 UTC
Hi, 
This need to be check but I don't think that the strings for the DEPS and SCO evolutionary algorithms and their settings have been extracted and made available for the localization. 
Sophie
Comment 1 Kohei Yoshida 2010-10-14 08:04:24 UTC
I suspect that those strings came directly from the algorithm extensions...  Let me check on that.

FYI I'm on vacation right now so I will be slow in responding etc.
Comment 2 Kohei Yoshida 2010-11-03 12:46:06 UTC
As I suspected, those strings come directly from the extensions which are (unfortunately) written in Java.  The built-in linear solver is also written as an extension, but it's written in C++ and it uses LO's internal string resource manager, which means they have taken a shortcut. ;-)

As for the other two Java extensions, localizing that would not be an easy task, and the localized strings will have to be given directly inside the extensions, which means no way to extract them into the rest of the LO strings for smooth translations... :-(
Comment 3 Kohei Yoshida 2010-11-03 14:19:47 UTC
Ok. I just finished inspecting the source code of the NLP solver engine, and found out that those solver engine names are in fact hard-coded to be English in all locales.  The extension has some localization mechanism in place, but the name is not localized.

For those who are interested, I've cloned the source code from the original Oracle extension CVS repo to my personal git.  To check out the sources run

git clone git://people.freedesktop.org/~kohei/nlpsolver
Comment 4 Andras Timar 2010-12-19 01:33:51 UTC
Created attachment 41247 [details]
enabled localization of .properties files

Hi Kohei,

Could you please review my patch for libreoffice-3-3? Many translations are ready to commit, more are in progress. This patch lightweight, does not require re-downloading or re-configuring anything. Thanks!
Comment 5 Kohei Yoshida 2010-12-19 10:19:09 UTC
Hi Andras,

The patch looks good.  Please commit to the libreoffice-3-3 branch.  Thanks!
Comment 6 sophie 2011-01-31 05:23:10 UTC
Verified in 3.3 so closing - Sophie
Comment 7 sophie 2011-01-31 05:23:28 UTC
Closed